SORT(1)

NOMBRE
sort - ordena las líneas de un archivo de texto

SINOPSIS
sort [OPCIÓN]... [ARCHIVO]...
sort [OPCIÓN]... --files0-from=F

DESCRIPCIÓN

Muestra todos los ARCHIVO(S) ordenados y concatenados por la salida estándar.

Si no se define ningún ARCHIVO o bien se indica '-', se lee la entrada estándar.

Los argumentos obligatorios para las opciones largas también los son para las opciones cortas. Opciones de ordenado:

-b, --ignore-leading-blanks
    ignora los espacios en blanco iniciales

-d, --dictionary-order
    solo tiene en cuenta espacios en blanco y los caracteres alfanuméricos

-f, --ignore-case
    no distingue entre mayúsculas y minúsculas

-g, --general-numeric-sort
    realiza la comparación según el valor numérico

-i, --ignore-nonprinting
    solo tiene en cuenta caracteres imprimibles

-M, --month-sort
    compara (desconocido) < 'ENE' < ... < 'DIC'

-h, --human-numeric-sort
    compara números en formato humanamente legible (p.ej: 2K,1G, etc...)

-n, --numeric-sort
    compara según el número

-R, --random-sort
    mezcla las líneas, pero agrupará aquellas con un mismo patrón. Consulte shuf(1)

--random-source=ARCHIVO
    extrae bytes aleatoriamente de ARCHIVO

-r, --reverse
    invierte el resultado de las comparaciones

--sort=PALABRA
    ordena según la PALABRA: -g por número en general, -h genérico tal como lo haría un humano, -n numérico, -R aleatorio, -V por número de versión

-V, --version-sort
    ordena de modo natural los número de versión según el texto

Otras opciones:

--batch-size=NFUSIÓN
    fusiona un máximo de NFUSIÓN entradas al mismo tiempo. Si fuese un mayor número, emplearía archivos temporales

-c, --check, --check=diagnose-first
    solo comprueba si la entrada ya está ordenada. No ordena nada

-C, --check=quiet, --check=silent
    igual que -c pero no emite ningún diagnóstico

--compress-program=PROG
    comprime temporalmente con PROG. Para descomprimir utiliza PROG -d

--debug
    destaca la parte de la línea empleada por sort e informa por la salida de error estándar de cualquier problema.

--files0-from=ARCHIVO
    toma los datos de los archivos definidos mediante nombres terminados con el NUL en ARCHIVO. Si ARCHIVO es '-', se toman en la entrada estándar.

-k, --key=KEYDEF
    ordena según una determinada clave; KEYDEF indica el tipo y localización

-m, --merge
    fusiona archivos previamente ordenados; no ordena nada

-o, --output=ARCHIVO
    envía el resultado a ARCHIVO en lugar de hacerlo por la salida estándar

-s, --stable
    hace que sort sea más estable eliminando la comparación de último recurso

-S, --buffer-size=TAMAÑO
    utiliza TAMAÑO como buffer principal de memoria

-t, --field-separator=SEP
    considera SEP en lugar de espacios en blanco como separador

-T, --temporary-directory=DIR
    utiliza DIR como directorio temporal en lugar de $TMPDIR o /tmp. Es posible definir varios directorios a empleando múltiples opciones

--parallel=N
    define a 'N' la cantidad total de ejecuciones en paralelo de sort

-u, --unique
    Con la opción -c comprobará si el ordenamiento es estricto. Sin esta opción solo muestra la primera de una serie de duplicados

-z, --zero-terminated
    las líneas se delimitan con NUL en lugar de nueva línea

--help
    muestra la ayuda y finaliza

--version
    muestra la versión del programa y finaliza

KEYDEF es F[.C][OPTS][,F[.C][OPTS]] para las posiciones inicial y final, F es un número de campo y C la posición de un carácter en dicho campo. En ambos casos empiezan en 1 y, por defecto, terminan al final de la línea. Si no se indican ni la opción -t ni la -b, se contabilizan los caracteres de un campo desde el inicio del anterior espacio en blanco. OPT consiste en una o más letras que representan las opciones de ordenamiento: [bdfgiMhnRrV]. Éstas anulan las opciones de ordenamiento globales para esta clave. Si no se aporta ninguna clave, se empleará la totalidad de la línea como tal. Use --debug para detectar error con el uso de la clave.

TAMAÑO puede ir seguido de los siguientes sufijos mltiplicadores: % 1% de memoria, b 1, K 1024 (por defecto) y así succesivamente con M, G, T, P, E, Z, Y, R y Q.

**** IMPORTANTE **** la localización definida en el sistema afecta al resultado de la ordenación. Defina LC_ALL=C para un funcionamiento predeterminado de sort empleando valores de bytes nativos.

AUTOR
Escrito por Mike Haertel y Paul Eggert.

INFORMAR DE ERRORES
Ayuda en línea de GNU Coreutils: <https://www.gnu.org/software/coreutils/>
Informe cualquier error de traducción a <https://translationproject.org/team/es.html>

COPYRIGHT
Copyright © 2023 Free Software Foundation, Inc. Licencia GPLv3+: GNU GPL versión 3 o posterior <https://gnu.org/licenses/gpl.html>.
Esto es software libre: usted es libre de cambiarlo y redistribuirlo. NO HAY GARANTÍA, en la medida permitida por la legislación.

VÉASE TAMBIÉN
shuf(1), uniq(1)

Documentación completa <https://www.gnu.org/software/coreutils/sort>
también disponible localmente ejecutando: info '(coreutils) sort invocation'

TRADUCCIÓN
La traducción al español de esta página del manual fue creada por Marcos Fouces <marcos@debian.org>

Esta traducción es documentación libre; lea la GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) o posterior con respecto a las condiciones de copyright. No existe NINGUNA RESPONSABILIDAD.

Si encuentra algún error en la traducción de esta página del manual, envíe un correo electrónico a debian-l10n-spanish@lists.debian.org.